with GNATCOLL.Traces_Old;
with GNATCOLL.Traces; 

package Support is

   type Null_Stream_Record is new GNATCOLL.Traces.Trace_Stream_Record
      with null record;
   overriding procedure Put
     (Self       : in out Null_Stream_Record;
      Str        : GNATCOLL.Traces.Msg_Strings.XString) is null;

   type Null_Stream_Factory is new GNATCOLL.Traces.Stream_Factory
      with null record;
   overriding function New_Stream
     (Self : Null_Stream_Factory; Args : String)
     return GNATCOLL.Traces.Trace_Stream
     is (new Null_Stream_Record);

   type Old_Null_Stream_Record is new GNATCOLL.Traces_Old.Trace_Stream_Record
      with null record;
   overriding procedure Put
     (Self       : in out Old_Null_Stream_Record;
      Str        : String) is null;
   overriding procedure Newline
     (Self       : in out Old_Null_Stream_Record) is null;

   type Old_Null_Stream_Factory is new GNATCOLL.Traces_Old.Stream_Factory
      with null record;
   overriding function New_Stream
     (Self : Old_Null_Stream_Factory; Args : String)
     return GNATCOLL.Traces_Old.Trace_Stream
     is (new Old_Null_Stream_Record);

end Support;
